Create a user
POST
/api/v1/account/users
Creates a new user. If roles are not provided, the user is assigned the read-only role by default.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
email
required
Email address of the new user
string
Example
john.doe@example.com firstName
required
First name of the new user
string
Example
John lastName
required
Last name of the new user
string
Example
Doe title
required
Job title of the new user
string
Example
Compliance Officer roles
Roles to assign to the user. Defaults to read-only if not provided.
Array<string>
Example
[ "read-only"] mfaEnabled
Whether MFA should be enabled for the user
boolean
Responses
Section titled “ Responses ”User created
object
id
required
Unique identifier of the user
string
Example
507f1f77bcf86cd799439011 email
required
Email address of the new user
string
Example
john.doe@example.com firstName
required
First name of the new user
string
Example
John lastName
required
Last name of the new user
string
Example
Doe title
required
Job title of the new user
string
Example
Compliance Officer roles
required
Roles assigned to the new user
Array<string>
Example
[ "read-only"]Example
{ "id": "507f1f77bcf86cd799439011", "email": "john.doe@example.com", "firstName": "John", "lastName": "Doe", "title": "Compliance Officer", "roles": [ "read-only" ]}